Get all Opportunities
curl --request GET \
--url https://api.affinity.co/v2/opportunities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/opportunities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/opportunities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"name": "Horizon Technologies Upsell $10k",
"listId": 1,
"listName": "Pipeline Q1 2024",
"isRestricted": false,
"isRedacted": false
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Opportunities
Get all Opportunities
Paginate through Opportunities in Affinity. Returns basic information but not field data on each Opportunity.
To access field data on Opportunities, use the /lists/{list_id}/list-entries
or the /v2/lists/{list_id}/saved-views/{view_id}/list-entries GET endpoint.
Requires the “Export data from Lists” permission.
GET
/
v2
/
opportunities
Get all Opportunities
Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Example:
100
Opportunity IDs
Required range:
1 <= x <= 9007199254740991Was this page helpful?